帖子

获取一条帖子

GET /v1/tweets/{tweet_id} reads 1 额度

一条帖子及其回复。id 就是帖子链接中 /status/ 后面的数字:https://x.com/cz_binance/status/2107511965006622972 中的 2107511965006622972。转推在 rt_of 中携带原帖,引用在 quoted 中携带被引用的帖子,都含完整正文和媒体;如还需要它们的完整详情(例如互动数),用它们的 id 再查一次。

查询参数

查询参数类型含义
replies_limitint 0–100 = 20包含多少条回复

响应

该帖子及最多 replies_limit 条对它的回复。非数字 id 返回 422。 逐字段说明: Tweet(读取).

状态: 200, 404, 422, 429, 502

请求
curl https://api.xsignalfeed.com/v1/tweets/2099875660290228642?replies_limit=2 \
  -H "Authorization: Bearer xsf_your_key"
响应 · 200 / 404
{
  "tweet": {
    "id": 2099875660290228642,
    "created_ms": 1789484345873,
    "user_id": 44196397,
    "user": "elonmusk",
    "name": "Elon Musk",
    "text": "Live demo of building a company with @Grok @Bot!",
    "lang": "en",
    "reply_to": null,
    "reply_to_status_id": null,
    "reply_to_user_id": null,
    "conversation_id": "2099875660290228642",
    "is_rt": false,
    "rt_of": null,
    "is_quote": true,
    "quoted": {
      "id": "2099871914655424894",
      "user": "poteto",
      "name": "lauren",
      "user_id": "2832427459",
      "text": "going live in about an hour!\n\n…",
      "media": [],
      "media_items": [],
      "created_ms": 1789483452844,
      "url": "https://x.com/poteto/status/2099871914655424894"
    },
    "media": [],
    "media_items": [],
    "urls": [],
    "views": "28720489",
    "counts": {
      "reply": 2323,
      "rt": 2244,
      "like": 22995,
      "quote": 177,
      "bookmark": 3136
    },
    "article": null,
    "edit_of": null,
    "edit_ids": [
      2099875660290228642
    ],
    "source": "<a href=\"http://twitter.com/download/iphone\" rel=\"nofollow\">Twitter for iPhone</a>"
  },
  "replies": [
    {
      "id": 2099876100000000000,
      "user": "someone",
      "text": "…",
      "reply_to": "elonmusk",
      "reply_to_status_id": "2099875660290228642",
      "…": "…"
    }
  ]
}